package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;

import org.apache.commons.lang.StringUtils;

/**
 * 水机管理员首页统计类
 * @author 刘志伟
 *
 */
public class StatisticsAdministratorDTO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2836318104828930343L;
	
	private Integer probationNum;					//试用总数
	
	private Integer salesNum;							//销售总数

	private Integer todayProbation;					//今日试用
	
	private Integer todaySales;							//今日销售
	
	private Integer monthProbation;					//本月试用
	
	private Integer monthSales;							//本月销售
	
	private Integer salesMoney;							//销售订单总额
	
	private Integer probationPaidMoney;			//试用订单已付金额
	
	private Integer probationUnpaidMoney;		//试用订单未付金额
	
	private Integer partnerNum;							//已激活合伙人数量
	
	private Integer storeNum;								//已激活门店数量
	
	private Integer vipNum;								//已激活VIP数量
	
	private Integer memberNum;						//金牌会员数量
	
	private Integer memberSubordinateNum;		//金牌会员下线数量
	
	private Integer userNum;								//用户数量
	
	private Integer userSalesNum;						//购买过商品的用户数量
	
	private String sRoleName;									//角色名称
	
	private String sNickName;									//用户昵称

	public Integer getProbationNum() {
		return probationNum;
	}

	public void setProbationNum(Integer probationNum) {
		this.probationNum = probationNum;
	}

	public Integer getSalesNum() {
		return salesNum;
	}

	public void setSalesNum(Integer salesNum) {
		this.salesNum = salesNum;
	}

	public String getsRoleName() {
		return sRoleName;
	}

	public void setsRoleName(String sRoleName) {
		this.sRoleName = sRoleName;
	}

	public String getsNickName() {
		return sNickName;
	}

	public void setsNickName(String sNickName) {
		this.sNickName = sNickName;
	}

	public Integer getTodayProbation() {
		return todayProbation;
	}

	public void setTodayProbation(Integer todayProbation) {
		this.todayProbation = todayProbation;
	}

	public Integer getTodaySales() {
		return todaySales;
	}

	public void setTodaySales(Integer todaySales) {
		this.todaySales = todaySales;
	}

	public Integer getMonthProbation() {
		return monthProbation;
	}

	public void setMonthProbation(Integer monthProbation) {
		this.monthProbation = monthProbation;
	}

	public Integer getMonthSales() {
		return monthSales;
	}

	public void setMonthSales(Integer monthSales) {
		this.monthSales = monthSales;
	}

	public Integer getSalesMoney() {
		return salesMoney;
	}

	public void setSalesMoney(Integer salesMoney) {
		this.salesMoney = salesMoney;
	}

	public Integer getProbationPaidMoney() {
		return probationPaidMoney;
	}

	public void setProbationPaidMoney(Integer probationPaidMoney) {
		this.probationPaidMoney = probationPaidMoney;
	}

	public Integer getProbationUnpaidMoney() {
		return probationUnpaidMoney;
	}

	public void setProbationUnpaidMoney(Integer probationUnpaidMoney) {
		this.probationUnpaidMoney = probationUnpaidMoney;
	}

	public Integer getPartnerNum() {
		return partnerNum;
	}

	public void setPartnerNum(Integer partnerNum) {
		this.partnerNum = partnerNum;
	}

	public Integer getStoreNum() {
		return storeNum;
	}

	public void setStoreNum(Integer storeNum) {
		this.storeNum = storeNum;
	}

	public Integer getVipNum() {
		return vipNum;
	}

	public void setVipNum(Integer vipNum) {
		this.vipNum = vipNum;
	}

	public Integer getMemberNum() {
		return memberNum;
	}

	public void setMemberNum(Integer memberNum) {
		this.memberNum = memberNum;
	}

	public Integer getMemberSubordinateNum() {
		return memberSubordinateNum;
	}

	public void setMemberSubordinateNum(Integer memberSubordinateNum) {
		this.memberSubordinateNum = memberSubordinateNum;
	}

	public Integer getUserNum() {
		return userNum;
	}

	public void setUserNum(Integer userNum) {
		this.userNum = userNum;
	}

	public Integer getUserSalesNum() {
		return userSalesNum;
	}

	public void setUserSalesNum(Integer userSalesNum) {
		this.userSalesNum = userSalesNum;
	}
	
	public void initStatisticsAdministrator() {
		if (this.todayProbation == null) {
			this.todayProbation = 0;
		}
		if (this.todaySales == null) {
			this.todaySales = 0;
		}
		if (this.monthProbation == null) {
			this.monthProbation = 0;
		}
		if (this.monthSales == null) {
			this.monthSales = 0;
		}
		if (this.salesMoney == null) {
			this.salesMoney = 0;
		}
		if (this.probationPaidMoney == null) {
			this.probationPaidMoney = 0;
		}
		if (this.probationUnpaidMoney == null) {
			this.probationUnpaidMoney = 0;
		}
		if (this.partnerNum == null) {
			this.partnerNum = 0;
		}
		if (this.storeNum == null) {
			this.storeNum = 0;
		}
		if (this.vipNum == null) {
			this.vipNum = 0;
		}
		if (this.memberNum == null) {
			this.memberNum = 0;
		}
		if (this.memberSubordinateNum == null) {
			this.memberSubordinateNum = 0;
		}
		if (this.userNum == null) {
			this.userNum = 0;
		}
		if (this.userSalesNum == null) {
			this.userSalesNum = 0;
		}
	}
}
